ubuntu/+source/libshout:applied/debian/buster

Last commit made on 2017-11-26
Get this branch:
git clone -b applied/debian/buster https://git.launchpad.net/ubuntu/+source/libshout
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/buster
Repository:
lp:ubuntu/+source/libshout

Recent commits

f823f6a... by James Cowgill on 2017-11-26

Import patches-applied version 2.4.1-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: da428760dda471a8cdddae3ec3ab124a20c4b01d
Unapplied parent: 1948ebc5ff31d64d71447bd5b3140e3ef8a1d7ab

New changelog entries:
  * Team upload.
  * Switch to OpenSSL 1.1. (Closes: #873647)
    Thanks to Sebastian Andrzej Siewior for the patch.
  * Bump standards version to 4.1.1 (no changes).

1948ebc... by James Cowgill on 2017-11-26

[PATCH] tls: compile with OpenSSL 1.1.0

Gbp-Pq: 01-libshout-tls-compile-with-OpenSSL-1.1.0.patch.

8a00066... by James Cowgill on 2017-11-26

Import patches-unapplied version 2.4.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 773a77e4ad10560eb8c674ef1a42c02a7a8cc830

New changelog entries:
  * Team upload.
  * Switch to OpenSSL 1.1. (Closes: #873647)
    Thanks to Sebastian Andrzej Siewior for the patch.
  * Bump standards version to 4.1.1 (no changes).

da42876... by Jonas Smedegaard <email address hidden> on 2017-08-29

Import patches-applied version 2.4.1-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 5e5ca4011d3913373b65aae0b62183ca61703d92
Unapplied parent: 773a77e4ad10560eb8c674ef1a42c02a7a8cc830

New changelog entries:
  [ upstream ]
  * New release(s).
  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend and merge most upstream Files sections, now relicensed to
      LGPL-2+.
    + Extend and refine coverage of autotools.
  * Build-depend on libssl1.0-dev.
  * Drop patches: Adopted/addressed upstream.
  * Update symbols.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Add alternative git source URL.
    + Use SPDX License shortnames.
    + Extend coverage for myself.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Fix add Files section licensed as GPL-2.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on devscripts.
  * Add lintian overrides regarding License-Reference.
  * Advertise DEP-3 format in patch headers.
  * Use debhelper compatibility level 9.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update git-buildpackage config:
    + Add usage comment.
    + Filter any .git* files.
  * Use newest autotools.
    Build-depend on automake (not automake1.11).
    Closes: Bug#865186. Thanks to Simon McVittie
  * Stop pre-depend on multiarch.
    Closes: Bug#870425, #870515. Thanks to Jörg-Volker Peetz and
    Aurelien Jarno.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Add symbols file.
  * Track symbols using pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.

773a77e... by Jonas Smedegaard <email address hidden> on 2017-08-29

Import patches-unapplied version 2.4.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4693bdb62f5f228e9b46f108320657230816245b

New changelog entries:
  [ upstream ]
  * New release(s).
  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend and merge most upstream Files sections, now relicensed to
      LGPL-2+.
    + Extend and refine coverage of autotools.
  * Build-depend on libssl1.0-dev.
  * Drop patches: Adopted/addressed upstream.
  * Update symbols.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Add alternative git source URL.
    + Use SPDX License shortnames.
    + Extend coverage for myself.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Fix add Files section licensed as GPL-2.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on devscripts.
  * Add lintian overrides regarding License-Reference.
  * Advertise DEP-3 format in patch headers.
  * Use debhelper compatibility level 9.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update git-buildpackage config:
    + Add usage comment.
    + Filter any .git* files.
  * Use newest autotools.
    Build-depend on automake (not automake1.11).
    Closes: Bug#865186. Thanks to Simon McVittie
  * Stop pre-depend on multiarch.
    Closes: Bug#870425, #870515. Thanks to Jörg-Volker Peetz and
    Aurelien Jarno.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Add symbols file.
  * Track symbols using pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.

5e5ca40... by Jonas Smedegaard <email address hidden> on 2013-05-09

Import patches-applied version 2.3.1-3 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 642a3596fdffe30f3d25d0765b4e1fb4b3fd6fec
Unapplied parent: c0dc06ab20679fb690feb0f2f17dbe3d2020199a

New changelog entries:
  * Bump dephelper compatibility level to 8.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump policy compliance to standards-version 3.9.4.

4693bdb... by Jonas Smedegaard <email address hidden> on 2013-05-09

Import patches-unapplied version 2.3.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 922f75e954f159201a24655e71e5990333caac23

New changelog entries:
  * Bump dephelper compatibility level to 8.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump policy compliance to standards-version 3.9.4.

c0dc06a... by Jonas Smedegaard <email address hidden> on 2013-05-09

Avoid static link flags from appearing for dynamic linking

Gbp-Pq: 1003_fix_pkg-config_requires.patch.

3b47e2c... by Jonas Smedegaard <email address hidden> on 2013-05-09

Avoid registering debian subdir with autotools

Gbp-Pq: 1001_upstream_is_not_debian.patch.

642a359... by Jonas Smedegaard <email address hidden> on 2013-05-09

Import patches-applied version 2.3.1-2 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: ee1004c1c629f98225902a13d833c25b9584ec7a
Unapplied parent: d8153db3c538f9e3cb138f08d0ccb908baafbbbb

New changelog entries:
  * Drop unneeded build-dependency on libopus-dev.
  * Update copyright file:
    + Fix add Files section for opus.c: New copyright holder, same
      licensing as main project.
    + Bump packaging license to GPL-3+.
    + Extend coverage of packaging to include recent years.
  * Ensure order of library install targets. Thanks to Vasudev Kamath.
  * Update package relations:
    + Fix pre-depend on multiarch-support only for lib package.
    + Build-depend (again) on dh-buildinfo: Multiarch-compliant
      nowadays.
    + Build-depend (again) on devscripts: No longer complicates
      backporting.
    + Tighten build-dependency on cdbs: Needed for simplified cruft
      handing.
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Simplify watch file.
  * Simplify rules file, using CDBS DEB_UPSTREAM_CRUFT_MOVE.